
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');

	var erro=0;
	var msg='\nPreencha os seguintes campos:\n';
	var erroCPF=0;

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VALIDANDO NOME DO PROFESSOR */
	if(isEmpty(document.getElementById('form_nomeProfessor').value))
	{
		msg+='\n -> Nome Completo';

		changeBack('l_nomeProfessor','form_nomeProfessor','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeProfessor').focus();
        erro=1;
	}
	
	/* VALIDANDO NOME DA MAE DO PROFESSOR */
	if(isEmpty(document.getElementById('form_nomeMaeProfessor').value))
	{
		msg+='\n -> Nome Completo da M�e';

		changeBack('l_nomeMaeProfessor','form_nomeMaeProfessor','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_nomeMaeProfessor').focus();
        erro=1;
	}

	/* VALIDANDO SEXO */
	var res = 0;
	for(var i = 0; i < document.InclusaoProfessor.form_sexoProfessor.length; i++) {
    	if (document.InclusaoProfessor.form_sexoProfessor[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if (res == 0) {
		msg+='\n -> Sexo';
		erro=1;

		changeBack('l_sexoProfessor',null,'label_alert','field_alert');
	}

	/* VALIDANDO FOTO DO PROFESSOR */
	if(($('#verFotoProf').attr("disabled") != false) && isEmpty(document.getElementById('form_fotoProfessor').value))
	{
		msg+='\n -> Foto';

		changeBack('l_fotoProfessor','form_fotoProfessor','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_fotoProfessor').focus();
        erro=1;
	}
	
	/* VALIDANDO DATA DE NASCIMENTO DO PROFESSOR */
	
	if(isEmpty(document.getElementById('form_dataNascimentoProfessor').value))
	{
		msg+='\n -> Data de Nascimento';

		changeBack('l_dataNascimentoProfessor','form_dataNascimentoProfessor','label_alert','field_alert');

        if(erro==0)
	        document.getElementById('form_dataNascimentoProfessor').focus();
        erro=1;
	}
	
	/* UF NASCIMENTO */
	if(document.InclusaoProfessor.form_nacionalidadeProfessor[1].checked) {
		if(document.getElementById('form_ufNascimentoProfessor').value == 0)
		{
			msg+='\n -> UF (Nascimento)';
	        if(erro==0)
		        document.getElementById('form_ufNascimentoProfessor').focus();
	        erro=1;
	
				changeBack('l_ufNascimentoProfessor','form_ufNascimentoProfessor','label_alert','field_alert');
		}
	}
	/* VALIDANDO NACIONALIDADE */
	res = 0;
	for(i = 0; i < document.InclusaoProfessor.form_nacionalidadeProfessor.length; i++) {
    	if (document.InclusaoProfessor.form_nacionalidadeProfessor[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Nacionalidade';
		erro=1;

		changeBack('l_nacionalidadeProfessor',null,'label_alert','field_alert');
	}

	/* MUNICIPIO NASCIMENTO */
	if(document.InclusaoProfessor.form_nacionalidadeProfessor[0].checked) {
		if(isEmpty(document.getElementById('form_codigoMunicipioNascimentoProfessor').value))
		{
			msg+='\n -> Municipio (Nascimento)';
	        if(erro==0)
		        document.getElementById('form_codigoMunicipioNascimentoProfessor').focus();
	        erro=1;
	
				changeBack('l_codigoMunicipioNascimentoProfessor','form_codigoMunicipioNascimentoProfessor','label_alert','field_alert');
		}
	}
	
	/* VALIDANDO COR */
	res = 0;
	for(i = 0; i < document.InclusaoProfessor.form_corRacaProf.length; i++) {
    	if (document.InclusaoProfessor.form_corRacaProf[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Cor';
		erro=1;

		changeBack('l_corRacaProf',null,'label_alert','field_alert');
	}
	
	/**********************************************************************
	 * 
	 * validando documentos
	 * 
	 */
	 /* NIS */
	if( $("input[name='form_temNISProf']:checked").val() == 'S')
	{
		if(isEmpty(document.getElementById('form_nisusuarioProf').value))
		{
			msg+='\n -> NIS';
			erro = 1;
			changeBack('l_temNISProf','form_nisusuarioProf','label_alert','field_alert');
		}
		if($("input[name='form_nisusuariodigitalizadaProf']:checked").val() == 'S' )
		{
			if(($('#verNisProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_nisProf1').value)))
			{
				msg+='\n -> 1� folha NIS';
				erro = 1;
				changeBack('l_nisProf1','form_nisProf1','label_alert',null);				
			}
		}
	}
	if($("input[name='form_temCPFProf']:checked").val() == 'S')
	{
		if(isEmpty(document.getElementById('form_cpfusuarioProf').value)) 
		{
			msg += '\n -> CPF';
			erro=1;
			changeBack('l_temCPFProf','form_cpfusuarioProf','label_alert','field_alert');
		}
		else
		{
			if(!ValidaCPF(document.getElementById('form_cpfusuarioProf').value)) {
				msg += '\n -> CPF inv�lido';
				erro=1;
				changeBack('l_temCPFProf','form_cpfusuarioProf','label_alert','field_alert');
			}
		}
		
		if($("input[name='form_cpfdigitalizadaProf']:checked").val() == 'S')
		{
			if(($('#verCpfProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_cpfProf1').value)))
			{
				msg+='\n -> 1� folha do CPF';
				erro=1;
				changeBack('l_cpfProf1',null,'label_alert',null);
			}					
		}
	}
	/* RG DO PAI */
	if($("input[name='form_temRGProf']:checked").val() == 'S')
	{	
		if(isEmpty(document.getElementById('form_rgusuarioProf').value))
		{
			msg+='\n -> RG';
			erro=1;
			changeBack('l_temRGProf','form_rgusuarioProf','label_alert','field_alert');
		}	
		if(isEmpty(document.getElementById('form_rgusuariodataemissaoProf').value))	
		{
			msg+='\n -> Data Emiss�o RG';
			erro=1;
			changeBack('l_emissaorgProf','form_rgusuariodataemissaoProf','label_alert',null);
		}		
		
		if($("input[name='form_rgusuariodigitalizadaProf']:checked").val() == 'S')
		{
			if(($('#verRgProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_rgProf1').value)))
			{
				msg+='\n -> 1� folha RG';
				erro = 1;
				changeBack('l_rgProf1',null,'label_alert',null);				
			}
		}
	}
	// carteira de trabalho
	if($("input[name='form_temCarteiraTrabProf']:checked").val() == 'S')
	{
		if(isEmpty(document.getElementById('form_carteiratrabusuarioProf').value))
		{
			msg+='\n -> Carteira de Trabalho';
			erro = 1;
			changeBack('l_temCarteiraTrabProf','form_carteiratrabusuarioProf','label_alert','field_alert');	
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuarioserieProf').value))
		{
			msg+='\n -> Carteira de Trabalho s�rie';
			erro = 1;
			changeBack('l_cartTrabSerieProf','form_carteiratrabusuarioserieProf','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_carteiratrabusuariodataemissaoProf').value))
		{
			msg+='\n -> Carteira de Trabalho emiss�o';
			erro = 1;
			changeBack('l_cartTrabEmissaoProf',null,'label_alert',null);
		}
		
		if($("input[name='form_carteiratrabusuariodigitalizadaProf']:checked").val() == 'S')
		{
			
			if(($('#verCarteiraTrabProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_carteiraTrabProf1').value)))
			{
				msg+='\n -> 1� folha Carteira de Trabalho';
				erro = 1;
				changeBack('l_carteiraProf1',null,'label_alert',null);				
			}
		}
	}
	// t�tulo de eleitor
	
	if($("input[name='form_temTituloEleitorProf']:checked").val() == 'S')
	{
		if(isEmpty(document.getElementById('form_titeleitorusuarioProf').value))
		{			
			msg += '\n -> Titulo de Eleitor';
			erro=1;
			changeBack('l_temTituloEleitorProf','form_titeleitorusuarioProf','label_alert','field_alert');
		}
		else
		{
			if(!ValidaTituloEleitor(document.getElementById('form_titeleitorusuarioProf').value)) 
			{
				msg += '\n -> Titulo de Eleitor inv�lido';
				erro=1;
				changeBack('l_temTituloEleitorProf','form_titeleitorusuarioProf','label_alert','field_alert');
			}
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariozonaProf').value))
		{
			msg += '\n -> Titulo de Eleitor zona';
			erro=1;
			changeBack('l_eleitorZonaProf','form_titeleitorusuariozonaProf','label_alert','field_alert');
		}
		
		if(isEmpty(document.getElementById('form_titeleitorusuariosecaoProf').value))
		{
			msg += '\n -> Titulo de Eleitor se��o';
			erro=1;
			changeBack('l_eleitorSecaoProf','form_titeleitorusuariosecaoProf','label_alert','field_alert');
		}
	
		if($("input[name='form_titeleitorusuariodigitalizadaProf']:checked").val() == 'S')
		{
			if(($('#verTituloProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_tituloProf1').value)))
			{
				msg+='\n -> 1� folha Titulo de Eleitor';
				erro=1;
				changeBack('l_tituloProf1','form_tituloProf1','label_alert','field_alert');
			}
		}
	}
	
	if($("input[name='form_temPISProf']:checked").val() == 'S')
	{
		if(isEmpty(document.getElementById('form_pispasepusuarioProf').value))
		{
			msg += '\n -> PIS';
            erro=1;
            changeBack('l_temPISProf','form_pispasepusuarioProf','label_alert','field_alert');
		}
		
       else if(!ValidaPIS(document.getElementById('form_pispasepusuarioProf').value))
		{
            msg += '\n -> PIS inv�lido';
            erro=1;
            changeBack('l_temPISProf','form_pispasepusuarioProf','label_alert','field_alert');
        }

		if($("input[name='form_pispasepusuariodigitalizadaProf']:checked").val() == 'S')
		{
			if(($('#verPispasepProf1').attr("disabled") != false)&&(isEmpty(document.getElementById('form_pispasepProf1').value)))
            {
                msg+='\n -> 1� folha PIS';
                erro=1;
                changeBack('l_pispasepProf1','form_pispasepProf1','label_alert','field_alert');
            }
        }
	}
		
	/*------------------------------ END -------------------------------------*/
	
	/* VALIDANDO DADOS DE ADMISSAO */
	
	/* MATRICULA */
	if(isEmpty(document.getElementById('form_escolaProf').value)) {
		msg+='\n -> Escola de Ingresso';
        if(erro==0)
	        document.getElementById('form_escolaProf').focus();
        erro=1;

			changeBack('l_escolaProf','form_escolaProf','label_alert','field_alert');
	}
	
	if(isEmpty(document.getElementById('form_matriculaProf').value)) {
		msg+='\n -> Matr�cula';
        if(erro==0)
	        document.getElementById('form_matriculaProf').focus();
        erro=1;

			changeBack('l_matriculaProf','form_matriculaProf','label_alert','field_alert');
	}
	
	/* DATA DE ADMISSAO */
	if(isEmpty(document.getElementById('form_dataAdmissaoProfessor').value)) {
		msg+='\n -> Data de Admiss�o';
        if(erro==0)
	        document.getElementById('form_dataAdmissaoProfessor').focus();
        erro=1;

			changeBack('l_dataAdmissaoProfessor','form_dataAdmissaoProfessor','label_alert','field_alert');
	}
	
	/* NUMERO CONCURSO */
	if(isEmpty(document.getElementById('form_numeroConcursoProf').value)) {
		msg+='\n -> N�mero de Concurso';
        if(erro==0)
	        document.getElementById('form_numeroConcursoProf').focus();
        erro=1;

			changeBack('l_numeroConcursoProf','form_numeroConcursoProf','label_alert','field_alert');
	}
	
	/* ANO CONCURSO */
	if(isEmpty(document.getElementById('form_anoConcursoProf').value)) {
		msg+='\n -> Ano do Concurso';
        if(erro==0)
	        document.getElementById('form_anoConcursoProf').focus();
        erro=1;

			changeBack('l_anoConcursoProf','form_anoConcursoProf','label_alert','field_alert');
	}
	
	/* REGIME DE CONTRATACAO */
	if(isEmpty(document.getElementById('form_regimeContratacao').value)) {
		msg+='\n -> Regime de Contrata��o';
        if(erro==0)
	        document.getElementById('form_regimeContratacao').focus();
        erro=1;

			changeBack('l_regimeContratacao','form_regimeContratacao','label_alert','field_alert');
	}
	
	/* DISCIPLINA DE INGRESSO */
	if(isEmpty(document.getElementById('form_disciplinaIngresso').value)) {
		msg+='\n -> Disciplina de Ingresso';
        if(erro==0)
	        document.getElementById('form_disciplinaIngresso').focus();
        erro=1;

			changeBack('l_disciplinaIngresso','form_disciplinaIngresso','label_alert','field_alert');
	}
	
	/* FORMA��O ACADEMICA */
	if(isEmpty(document.getElementById('form_formacaoAcademica').value)) {
		msg+='\n -> �ltima Forma��o Acad�mica';
        if(erro==0)
	        document.getElementById('form_formacaoAcademica').focus();
        erro=1;

			changeBack('l_formacaoAcademica','form_formacaoAcademica','label_alert','field_alert');
	}
	
	/* PROFESSOR READAPTADO */
	res = 0;
	for(i = 0; i < document.InclusaoProfessor.form_professorReadaptado.length; i++) {
    	if (document.InclusaoProfessor.form_professorReadaptado[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Professor Readaptado';
		erro=1;

		changeBack('l_professorReadaptado',null,'label_alert','field_alert');
	}
	
	/*------------------------------------------------------------------------
					VALIDANDO DADOS DE ENDERE�O DE PROF
	-------------------------------------------------------------------------*/
	if(document.getElementById('form_logradouroTipoProf').value == 0)
	{
		msg+='\n -> Tipo Logradouro';
		changeBack('l_logradouroTipoProf','form_logradouroTipoProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroTipoProf').focus();
		erro=1;
	}
	
	if( isEmpty(document.getElementById('form_logradouroNomeProf').value) )
	{
		msg+='\n -> Logradouro';
		changeBack('l_logradouroNomeProf','form_logradouroNomeProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroNomeProf').focus();
		erro=1;
	}

	if( isEmpty(document.getElementById('form_logradouroNumeroProf').value) )
	{
		msg+='\n -> Numero';
		changeBack('l_logradouroNumeroProf','form_logradouroNumeroProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroNumeroProf').focus();
		erro=1;
	}
	
	if(document.getElementById('form_logradouroUfProf').value == 0)
	{
		msg+='\n -> UF';
		changeBack('l_logradouroUfProf','form_logradouroUfProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroUfProf').focus();
		erro=1;
	}
	
	if( isEmpty(document.getElementById('form_logradouroCidadeProf').value) )
	{
		msg+='\n -> Cidade';
		changeBack('l_logradouroCidadeProf','form_logradouroCidadeProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroCidadeProf').focus();
		erro=1;
	}
	if( isEmpty(document.getElementById('form_logradouroBairroProf').value) )
	{
		msg+='\n -> Bairro';
		changeBack('l_logradouroBairroProf','form_logradouroBairroProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroBairroProf').focus();
		erro=1;
	}
	
	
	if( isEmpty(document.getElementById('form_logradouroCepProf').value) )
	{
		msg+='\n -> CEP';
		changeBack('l_logradouroCepProf','form_logradouroCepProf','label_alert','field_alert');
		if(erro==0)
			document.getElementById('form_logradouroCepProf').focus();
		erro=1;
	}
	/* VALIDANDO TELEFONES E EMAIL */
	if (document.getElementById('form_possuiTelefoneFixo').checked == false) {
		if( isEmpty(document.getElementById('form_telefoneFixoProf').value) )
		{
			msg+='\n -> Tel. Residencial';
			changeBack('l_telefoneFixoProf','form_telefoneFixoProf','label_alert','field_alert');
			if(erro==0)
				document.getElementById('form_telefoneFixoProf').focus();
			erro=1;
		}
	}
	
	if (document.getElementById('form_possuiTelefoneCelular').checked == false) {
		if( isEmpty(document.getElementById('form_telefoneCelularProf').value) )
		{
			msg+='\n -> Tel. Celular';
			changeBack('l_telefoneCelularProf','form_telefoneCelularProf','label_alert','field_alert');
			if(erro==0)
				document.getElementById('form_telefoneCelularProf').focus();
			erro=1;
		}
	}
	
	if (document.getElementById('form_possuiTelefoneRecado').checked == false) {
		if( isEmpty(document.getElementById('form_telefoneRecadoProf').value) )
		{
			msg+='\n -> Tel. Recado';
			changeBack('l_telefoneRecadoProf','form_telefoneRecadoProf','label_alert','field_alert');
			if(erro==0)
				document.getElementById('form_telefoneRecadoProf').focus();
			erro=1;
		}
	}
	
	if (document.getElementById('form_possuiEmail').checked == false) {
		if( isEmpty(document.getElementById('form_emailProf').value) )
		{
			msg+='\n -> Email';
			changeBack('l_emailProf','form_emailProf','label_alert','field_alert');
			if(erro==0)
				document.getElementById('form_emailProf').focus();
			erro=1;
		}
	}
	
	/* ENDERE�O CORRESPONDENCIA */
	res = 0;
	for(i = 0; i < document.InclusaoProfessor.form_enderecocorrespomesmo.length; i++) {
    	if (document.InclusaoProfessor.form_enderecocorrespomesmo[i].checked) {
    		res = 1;
    		break;
    	}
	}
	if(res==0)
	{
		msg += '\n -> Endere�o de Correspond�ncia';
		erro=1;

		changeBack('l_corresp',null,'label_alert','field_alert');
	}
	
	if(erro==0)
		return true;
	else {
		alert(msg);
		return false;
	}
}

// FIM //